Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
knowledgebases
/
{knowledgebaseId}
/
datasets
/
{datasetId}
/
chunks
List dataset chunks
curl --request GET \
  --url https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/datasets/{datasetId}/chunks \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/datasets/{datasetId}/chunks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/datasets/{datasetId}/chunks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "content": "<string>",
    "contentLength": 123,
    "isEnabled": true
  }
]
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Developer key created from the dashboard (Settings → Developer Keys)

Path Parameters

projectId
string
required

The ID of your project

knowledgebaseId
string
required

The knowledgebase ID

datasetId
string
required

The dataset ID

Response

OK

id
string
required
content
string
required
contentLength
number
required
isEnabled
boolean
required